View Issue Details

IDProjectCategoryView StatusLast Update
0003171Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.907 
Target VersionFixed in Version6.5.0.196 
Summary0003171: Rig Control has an unused "use Internet" setting
DescriptionThe Rig Control app has a "use Internet" setting that's practically unused, and contains an anachronistic description. This setting only enables (or disables) a choice in the help menu, and should be removed.

Steps To Reproduce
1) Start up Rig Control. Don't need a specific radio.
2) In the "Tools" menu, use the "Program Options" command
3) select the "Internet" tab in the resulting "Options" window
4) un-check the "Enable Internet access" box


BUG#1) This control's caption mentions the "DX Cluster, Check for Updates, etc.". Rig Control doesn't contain a DX Cluster implementation, and this checkbox does not control the DX Cluster implementation in the Logbook.

5) Press "OK" to close the "Options" box.
6) In the main frame, open the "Help" menu

BUG#2) The "Online Help" command in the "Help" menu is disabled.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2019-02-14 12:45

administrator   ~0007392

removed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4824

WA9PIE

2019-02-20 00:11

administrator   ~0007447

Validated

Issue History

Date Modified Username Field Change
2019-02-11 08:51 K7ZCZ New Issue
2019-02-14 12:45 K7ZCZ Assigned To => K7ZCZ
2019-02-14 12:45 K7ZCZ Status new => resolved
2019-02-14 12:45 K7ZCZ Resolution open => fixed
2019-02-14 12:45 K7ZCZ Note Added: 0007392
2019-02-19 19:05 K7ZCZ Fixed in Version => 6.5.0.194
2019-02-20 00:11 WA9PIE Status resolved => closed
2019-02-20 00:11 WA9PIE Description Updated View Revisions
2019-02-20 00:11 WA9PIE Steps to Reproduce Updated View Revisions
2019-02-20 00:11 WA9PIE Testing Not Started => Beta Successful
2019-02-20 00:11 WA9PIE Note Added: 0007447
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.194 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe